<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index'); // Page d'acceuil
//$routes->get('/Montre', 'PaiementControlleur::get');



// Routes pour l'inscription
$routes->post('register', 'InscriptionController::inscription'); // Traite le formulaire
$routes->get('/register_page', 'Home::register_page');

// Routes pour la connexion
$routes->get('/login_page', 'Home::login_page');
$routes->post('/login', 'Connexion::login'); // Traite le formulaire
$routes->post('/login', 'Connexion::login'); // Traite le formulaire


// Route pour la déconnexion
$routes->get('/logout', 'Connexion::logout');

$routes->get('/AboutUs', 'Home::AboutUs');
$routes->get('/Montre','MontreControlleur::Montre');
$routes->get('/MontreAction','MontreControlleur::MontreAction');

$routes->get('/Cart', 'PanierControlleur::Cart');
$routes->post('/removeItem', 'PanierControlleur::removeItem');
$routes->post('/updateQuantity', 'PanierControlleur::updateQuantity');



$routes->get('admin_page', 'AdminController::admin_page');
$routes->get('get_admin_page', 'AdminController::get');
$routes->post('Insertion', 'AdminController::Insertion');
$routes->post('/Deletion', 'AdminController::Deletion');
$routes->post('Update', 'AdminController::Update');

$routes->post('Quantity','MontreControlleur::Quantity');

//$routes->post('/addToCart','Home::addToCart');

$routes->post('/buyOne','PaiementControlleur::buyOne'); 
$routes->get('/paiement','PaiementControlleur::paiement'); 


$routes->post('/Categorie','Home::Categorie');
$routes->post('ProcessPayment','PaiementControlleur::ProcessPayment');

