<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Marque extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ID_Marque' => [
                'type'           => 'INT',
                'auto_increment' => true,
                'unsigned'       => true
            ],
            'Nom' => [
                'type' => 'VARCHAR',
            ]
        ]);
        $this->forge->addKey('ID_Marque',true);
        $this->forge->createTable('Marque');
    }

    public function down()
    {
        $this->forge->dropTable('Marque');
    }
}
