<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Matiere extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ID_Matiere' => [
                'type' => 'INT',
                'unsigned' => true,
                'auto_increment' => true
            ],
            'Materiaux' => [
                'type' => 'VARCHAR'            ]
        ]);
        $this->forge->addKey('ID_Matiere',true);
        $this->forge->createTable('Matiere');
    }

    public function down()
    {
        $this->forge->dropTable('Matiere');
    }
}
