<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Style extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ID_Style' => [
                'type' => 'INT',
                'auto_increment' => true,
                'unsigned' => true
            ],
            'Nom' => [
                'type' => 'VARCHAR'
            ]
        ]);
        $this->forge->addPrimaryKey('ID_Style');
        $this->forge->createTable('Style');
    }

    public function down()
    {
        $this->forge->dropTable('Style');
    }
}
