<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class AdresseSeeder extends Seeder
{
    public function run()
    {
        $data = [
            [
                'ID_Adresse' => '1',
                'Rue' => '3 Rue du Boulanger',
                'Ville' => 'Nantes',
                'Code_Postal' => '44370',
                'Pays' => 'France'
            ],
            [
                'ID_Adresse' => '2',
                'Rue' => '52 Avenue du Boudhiste',
                'Ville' => 'Nantes',
                'Code_Postal' => '44710',
                'Pays' => 'France'
            ],
            [
                'ID_Adresse' => '3',
                'Rue' => '5 Bd du Scieur',
                'Ville' => 'Nantes',
                'Code_Postal' => '44200',
                'Pays' => 'France'
            ],
        ];
        $this->db->table('Adresse')->insertBatch($data);

    }
}
