<?php

namespace App\Libraries\State;

class LoginAdminState implements HeaderState
{
    public function render(): string
    {
        return '
                <form method="post" action="' . site_url('reduction') . '">
            <select name="choice" id="choice" onchange="this.form.submit()">
                <option value="">Réduction</option>
                <option value="0">0%</option>
                <option value="10">10%</option>
                <option value="20">20%</option>
                <option value="30">30%</option>
            </select>
        </form>
        <form method="get" action="' . site_url('admin_page') . '">
            <select name="choice" id="choice" onchange="this.form.submit()">
                <option value="">Tables</option>
                <option value="Montre">Montre</option>
                <option value="Matiere">Matiere</option>
                <option value="Marque">Marque</option>
                <option value="Style">Style</option>
                <option value="Adresse">Adresse</option>
                <option value="Client">Client</option>
                <option value="InfoBanquaires">InfoBanquaires</option>
                <option value="Commande">Commande</option>
            </select>
        </form>
        <a href="' . site_url('logout') . '">Déconnexion</a>
    ';
    }
}
