<html>
<head>
    <title>Time&Time</title>
</head>
<body>
<h2>InfoBanquaires</h2>
<table border="1">
    <thead>
    <tr>
        <th>Numero Carte</th>
        <th>Date d'Expiration</th>
        <th>Nom</th>
        <th>Action</th>
    </tr>
    </thead>
    <tbody>
    <!-- Affichage des données -->
    <?php foreach ($data as $Info): ?>
        <tr>
            <td><?= htmlspecialchars($Info->Numero_Carte) ?></td>
            <td><?= htmlspecialchars($Info->Date_Expiration) ?></td>
            <td><?= htmlspecialchars($Info->Nom) ?></td>
            <td>
                <!-- Bouton pour supprimer une ligne -->
                <form method="post" action="<?= site_url('Deletion') ?>">
                    <input type="hidden" name="Table" value="InfoBanquaires">
                    <input type="hidden" name="Numero_Carte" value="<?= htmlspecialchars($Info->Numero_Carte) ?>">
                    <input type="submit" value="Supprimer">
                </form>
            </td>
        </tr>
    <?php endforeach; ?>

    <!-- Ligne pour ajouter une nouvelle entrée -->
    <tr>
        <form method="post" action="<?= site_url('Insertion') ?>">
            <input type="hidden" name="Table" value="InfoBanquaires">
            <td><input type="text" name="Numero_Carte" placeholder="Numero Carte" required></td>
            <td><input type="text" name="Date_Expiration" placeholder="Date d'Expiration" required></td>
            <td><input type="text" name="Nom" placeholder="Nom" required></td>
            <td><input type="submit" value="Ajouter"></td>
        </form>
    </tr>

    <!-- Ligne pour modifier une entrée -->
    <tr>
        <form method="post" action="<?= site_url('Update') ?>">
            <input type="hidden" name="Table" value="InfoBanquaires">
            <td><input type="text" name="Numero_Carte" placeholder="Numero Carte à modifier" required></td>
            <td><input type="text" name="Date_Expiration" placeholder="Nouvelle Date d'Expiration" required></td>
            <td><input type="text" name="Nom" placeholder="Nouveau Nom" required></td>
            <td><input type="submit" value="Modifier"></td>
        </form>
    </tr>
    </tbody>
</table>
</body>
</html>
