# Accueil + Header

![[Pasted image 20250116131818.png]]

## Header
header.php
#### En haut à gauche :
- on peut voir le nom du site qui renvoie à la page d’accueil relier au contrôleur Home.php .
- ```$routes->get('/', 'Home::index');```

#### En haut  à droite : 

- il y a le bouton vers le panier qui renvoie vers la page de connexion si vous n'êtes pas connecté.
- ```$routes->get('/Cart', 'PanierControlleur::Cart');```
- il y a le bouton de connexion qui renvoie vers la page de connexion.
- ```$routes->get('/login_page', 'Home::login_page');```
- il y a le bouton à propos de nous qui renvoie vers une page à propos.
- ```$routes->get('/AboutUs', 'Home::AboutUs');```
- il y a le bouton accueil qui renvoie vers l’accueil du site à savoir cette page.
- ```$routes->get('/', 'Home::index');```
## Accueil
home.php
#### Au centre :
- il y a 4 boutons pour filtrer les produits, par le prix , la matière , la marque, le style.
- ```$routes->get('/', 'Home::index');```
- il y a les articles qui sont cliquable et renvoie sur une page d'article.
- ```$routes->get('/MontreAction','MontreControlleur::MontreAction');```
# Connexion 
login.php
![[Pasted image 20250116132808.png]]

##### Au centre : 
- il y à deux champs à remplir pour le Mail et un mot de passe lors de la connexion.
- ```$routes->post('/login', 'Connexion::login');```
- il y à un bouton pour se connecter et renvoie sur l'accueil.
- ```$routes->get('/login_page', 'Home::login_page');```
- il y à un bouton pour crée un compte et renvoie sur une page d'inscription.
- ```$routes->get('/register_page', 'Home::register_page');```
## Une fois connecté

Le bouton de connexion une fois connecter se fait remplacer par un bouton de déconnexion. Qui renvoie sur la page de connexion du site.

![[Pasted image 20250116140944.png]]


# Inscription
register.php
![[Pasted image 20250116133937.png]]
##### Au centre : 
- il y à trois champs à remplir pour le Mail et un mot de passe et le mot de passe à confirmer lors de l'inscription.
- ```$routes->get('/register_page', 'Home::register_page');```
- il y à un bouton pour se connecter et renvoie sur une page de connexion.
- ```$routes->get('/login_page', 'Home::login_page');```
- il y à un bouton pour crée un compte et renvoie sur la page d'accueil.
- ```$routes->post('register', 'InscriptionController::inscription');```


# Article
Article.php
![[Pasted image 20250116134133.png]]
##### Au centre : 
- il y à une liste qui défile afin de choisir une quantité.
- il y à un bouton ajouter au panier qui ajoute au panier de la quantité donné.
- ```$routes->get('/MontreAction','MontreControlleur::MontreAction');```
- il y à un bouton pour passer au paiement si on souhaite directement acheter l'article.
- ```$routes->get('/MontreAction','MontreControlleur::MontreAction');```
# Panier
Cart.php
![[Pasted image 20250116142256.png]]
##### Au centre : 
- il y à une liste qui défile afin de choisir une quantité.
- il y à un bouton continuer vers le paiement qui renvoie sur le formulaire de paiement.
- ```$routes->get('/paiement','PaiementControlleur::paiement');```
- il y à un bouton afin de supprimer la commande non finalisé.
- ```$routes->get('/paiement','PaiementControlleur::paiement');```
# Paiement
paiement.php

![[Pasted image 20250116143136.png]]
Une fois que l'on atteint le paiement il faut remplir les champs de donnés manquant, si une donné est déjà présente car vous avez déjà commander les champs seront automatiquement pré-rempli.

##### En bas :
- il y a un bouton payer maintenant pour finaliser la commande.
- ```$routes->post('ProcessPayment','PaiementControlleur::ProcessPayment');```

# Admin Mode
librairie/state/LoginAdminState.php
Dans ce site si l'utilisateur se connecte en mode admin il peut accéder à certaines fonctionnalités lié à la gestion des stocks virtuel ainsi que l'ensemble de la base de donnés.

![[Pasted image 20250116140020.png]]
##### En haut à droite :
- il y à un bouton permettant d'accéder aux différentes tables de notre SGBD.
- ```$routes->get('admin_page', 'AdminController::admin_page');```
- ```$routes->get('get_admin_page', 'AdminController::get');```


## Exemple : InfoBanquaires.
![[Pasted image 20250116140414.png]]

Comme vous pouvez le constater ici nous pouvons supprimer ajouter et mettre à jours les informations afficher selon les besoins de l'administrateur cela va directement accéder à la base de donnés et modifier ajouter ou supprimer.
- ```$routes->post('Insertion', 'AdminController::Insertion');```
- ```$routes->post('/Deletion', 'AdminController::Deletion');```
- ```$routes->post('Update', 'AdminController::Update');```



