<?php


namespace App\Controllers;

use App\Models\ClientModele;
use App\Controllers\Connexion;

class InscriptionController extends BaseController
{
    public function __construct()
    {
        $this->clientmodele  = new ClientModele();
        $this->Home = new Home(); // pour recupérer le header
        $this->connexion = new Connexion();
    }

    // Teste si l'email reçu par la vue n'existe pas, et si les deux mdp entrée sont identique, si oui et oui créé la sessionet enregistre le client. Sinon, envoie un message d'erreur à la vue, qui va l'afficher.
    public function inscription(){
        $email = $this->request->getPost('email');
        $password = $this->request->getPost('password');
        $confpassword = $this->request->getPost('confpassword');
        $row = array('Adresse_mail'=>$email,'Mot_de_passe'=>$password,'');

        if ($this->clientmodele->getClientIdByEmail($email)!=null){
            $message ='email already existe';
            return $this->Home->getHeader() . view('register',['message'=>$message]);

        }else if ($confpassword != $password){
            $message ='password confirm incorrect';
            return $this->Home->getHeader() . view('register',['message'=>$message]);
        }else{
            $this->clientmodele->insert($row);
            $this->connexion->makeSession('newsession',$email,'user');
            return redirect()->to('/');
        }

    }
}