<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Adresse extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'ID_Adresse'=>[
                'type' => 'INT',
                'unsigned' => true,
                'auto_increment' => true
            ],
            'Rue'=>[
                'type'=> 'VARCHAR'
            ],
            'Ville'=>[
                'type'=>'VARCHAR'
            ],
            'Code_Postal'=>[
                'type'=>'INT',
                'unsigned' => true
            ],
            'Pays'=>[
                'type'=>'INT'
            ]
        ]);
        $this->forge->addKey('ID_Adresse',true);
        $this->forge->createTable('Adresse');
    }

    public function down()
    {
        $this->forge->dropTable('Adresse');
    }
}
