<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class InfoBanquaires extends Migration
{
    public function up()
    {
        $this->forge->addField([
           'Numero_Carte'=>[
               'type' => 'INT',
               'unsigned' => true
           ],
           'Date_Expiration'=>[
               'type'=>'DATE'
           ],
            'Nom'=>[
                'type'=>'VARCHAR'
            ]
        ]);
        $this->forge->addKey('Numero_Carte',true);
        $this->forge->createTable('InfoBanquaires');
    }

    public function down()
    {
        $this->forge->dropTable('InfoBanquaires');
    }
}
