<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class CommandeSeeder extends Seeder
{
    public function run()
    {
        $data = [
            [
                'ID_Commande' => '1',
                'ID_Montre' => '2',
                'ID_Client' => '1',
                'Quantite' => '1',
                'Etat' => 'En Cours',
                'Date_Commande' => '2024/12/20',
                'ID_Adresse_Livraison' => '2'
            ],
            [
                'ID_Commande' => '2',
                'ID_Montre' => '1',
                'ID_Client' => '2',
                'Quantite' => '5',
                'Etat' => 'En Cours',
                'Date_Commande' => '2025/01/03',
                'ID_Adresse_Livraison' => '3'
            ],
            [
                'ID_Commande' => '3',
                'ID_Montre' => '3',
                'ID_Client' => '3',
                'Quantite' => '10',
                'Etat' => 'Termine',
                'Date_Commande' => '2023/10/13',
                'ID_Adresse_Livraison' => '1'
            ],
        ];
        $this->db->table('Commande')->insertBatch($data);

    }
}
