<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class MontreSeeder extends Seeder
{
    public function run()
    {
        $data = [
            [
                'ID_Montre'=>'1',
                'Nom'=>'Modèle_A',
                'Prix'=>'100000',
                'Quantite'=>'100',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'2',
                'Nom'=>'Modèle_B',
                'Prix'=>'1000000',
                'Quantite'=>'10',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'3',
                'Nom'=>'Modèle_C',
                'Prix'=>'500000',
                'Quantite'=>'50',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'4',
                'Nom'=>'Modèle_D',
                'Prix'=>'800000',
                'Quantite'=>'25',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'5',
                'Nom'=>'Modèle_E',
                'Prix'=>'300000',
                'Quantite'=>'200',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'6',
                'Nom'=>'Modèle_F',
                'Prix'=>'600000',
                'Quantite'=>'75',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'7',
                'Nom'=>'Modèle_G',
                'Prix'=>'1200000',
                'Quantite'=>'5',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'8',
                'Nom'=>'Modèle_H',
                'Prix'=>'750000',
                'Quantite'=>'30',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'9',
                'Nom'=>'Modèle_I',
                'Prix'=>'400000',
                'Quantite'=>'40',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'10',
                'Nom'=>'Modèle_J',
                'Prix'=>'950000',
                'Quantite'=>'15',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'11',
                'Nom'=>'Modèle_K',
                'Prix'=>'200000',
                'Quantite'=>'150',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'12',
                'Nom'=>'Modèle_L',
                'Prix'=>'900000',
                'Quantite'=>'20',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'13',
                'Nom'=>'Modèle_M',
                'Prix'=>'650000',
                'Quantite'=>'80',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'14',
                'Nom'=>'Modèle_N',
                'Prix'=>'700000',
                'Quantite'=>'40',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'15',
                'Nom'=>'Modèle_O',
                'Prix'=>'550000',
                'Quantite'=>'60',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'16',
                'Nom'=>'Modèle_P',
                'Prix'=>'1200000',
                'Quantite'=>'10',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'17',
                'Nom'=>'Modèle_Q',
                'Prix'=>'850000',
                'Quantite'=>'35',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'2'
            ],
            [
                'ID_Montre'=>'18',
                'Nom'=>'Modèle_R',
                'Prix'=>'300000',
                'Quantite'=>'100',
                'ID_Marque'=>'3',
                'ID_Matiere'=>'1',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'3'
            ],
            [
                'ID_Montre'=>'19',
                'Nom'=>'Modèle_S',
                'Prix'=>'650000',
                'Quantite'=>'45',
                'ID_Marque'=>'1',
                'ID_Matiere'=>'2',
                'Autonomie'=>'Mécanique',
                'ID_Style'=>'1'
            ],
            [
                'ID_Montre'=>'20',
                'Nom'=>'Modèle_T',
                'Prix'=>'400000',
                'Quantite'=>'60',
                'ID_Marque'=>'2',
                'ID_Matiere'=>'3',
                'Autonomie'=>'Batterie',
                'ID_Style'=>'2'
            ]
        ];

        $this->db->table('Montre')->insertBatch($data);

    }
}
