<?php

namespace App\Libraries\State;

class HeaderContext
{
    private HeaderState $state;

    public function __construct(HeaderState $state)
    {
        $this->state = $state;
    }

    public function setState(HeaderState $state): void
    {
        $this->state = $state;
    }

    public function render(): string
    {
        return $this->state->render();
    }
}
