<!DOCTYPE html>
<html lang="fr">
<link rel="stylesheet" href="<?= base_url('assets/css/Article.css') ?>">
<main>
    <div class="product-container">
        <div class="image-container">
            <img src="<?= base_url("assets/images/{$montre->ID_Montre}.png") ?>" alt="<?= $montre->Nom ?>">
        </div>

        <div class="details-container">
            <form action="<?= site_url('MontreAction') ?>" method="get" id="purchase-form">
                <input type="hidden" name="ID_Montre" value="<?= $montre->ID_Montre?>">
                <div class="purchase-section">
                    <h2>Montre <?= $montre->ID_Style ?> <?= $montre->Nom ?></h2>
                    <p class="price"><?= number_format($montre->Prix) ?>€</p>
                    <div class="quantity-container">
                        <label for="quantity">Quantité: </label>
                        <select id="quantity" name="quantity">
                            <?php for ($i = 1; $i <= $montre->Quantite; $i++) : ?>
                                <option value="<?= $i ?>" <?= $i == 1 ? 'selected' : '' ?>><?= $i ?></option>
                            <?php endfor; ?>
                        </select>
                    </div>
                    <button type="submit" name="action" value="add" class="add-to-cart">Ajouter au panier</button>
                    <button type="submit" name="action" value="buy" class="buy-now">Acheter cet article</button>
                </div>
            </form>

            <div class="technical-details-section">
                <h3>Détail de la montre</h3>
                <p><strong>Modele :</strong> <?= $montre->Nom ?></p>
                <p><strong>Prix :</strong> <?= number_format($montre->Prix) ?>€</p>
                <p><strong>Style :</strong> <?= $montre->ID_Style ?></p>
                <p><strong>Autonomie :</strong> <?= $montre->Autonomie ?></p>
                <p><strong>Matière :</strong> <?= $montre->ID_Matiere ?></p>
                <p><strong>Marque :</strong> <?= $montre->ID_Marque ?></p>
                <p><strong>Quantité maximale :</strong> <?= $montre->Quantite ?></p>
            </div>
        </div>
    </div>
</main>

